## mistral 20.0.0+git2025070714.6ed89e8f

=== requirements.txt ===
# Requirements lower bounds listed here are our best effort to keep them up to
# date but we do not test them so no guarantee of having them all correct. If
# you find any incorrect lower bounds, let us know or propose a fix.

alembic>=0.9.6 # MIT
croniter>=0.3.4 # MIT License
cachetools>=2.0.0 # MIT License
dogpile.cache>=0.6.2 # BSD
eventlet>=0.27.0 # MIT
Jinja2>=2.10 # BSD License (3 clause)
jsonschema>=3.2.0 # MIT
keystonemiddleware>=4.18.0 # Apache-2.0
mistral-lib>=2.3.0 # Apache-2.0
networkx>=2.3 # BSD
oslo.concurrency>=3.26.0 # Apache-2.0
oslo.config>=6.8.0 # Apache-2.0
oslo.context>=2.22.0 # Apache-2.0
oslo.db>=4.40.0 # Apache-2.0
oslo.i18n>=3.15.3 # Apache-2.0
oslo.messaging>=14.1.0 # Apache-2.0
oslo.middleware>=3.31.0 # Apache-2.0
oslo.policy>=4.5.0 # Apache-2.0
oslo.utils>=7.0.0 # Apache-2.0
oslo.log>=3.36.0 # Apache-2.0
oslo.serialization>=2.21.1 # Apache-2.0
oslo.service>=2.1.0 # Apache-2.0
osprofiler>=1.4.0 # Apache-2.0
paramiko>=2.4.1 # LGPLv2.1+
pbr!=2.1.0,>=2.0.0 # Apache-2.0
pecan>=1.2.1 # BSD
PyJWT>=1.5 # MIT
PyYAML>=5.1 # MIT
requests>=2.18.0 # Apache-2.0
tenacity>=5.0.1 # Apache-2.0
SQLAlchemy>=1.2.5 # MIT
stevedore>=1.20.0 # Apache-2.0
WSME>=0.8.0 # MIT
yaql>=3.0.0 # Apache 2.0 License

=== debian/changelog ===
mistral (20.0.0+git2025070714.6ed89e8f-0ubuntu1) questing; urgency=medium

  [ Guillaume Boutry ]
  * d/gbp.conf, .launchpad.yaml: Sync from cloud-archive-tools for
    flamingo.

  [ Myles Penner ]
  * New upstream release for OpenStack Flamingo. (LP: #2116155)
  * d/s/options: Ignore .launchpad.yaml when generating diffs.
  * d/control: Align (Build-)Depends with upstream.

 -- Myles Penner <myles.penner@canonical.com>  Tue, 22 Jul 2025 13:31:56 -0700

=== debian/control ===
Source: mistral
Section: net
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
Build-Depends:
 debhelper-compat (= 13),
 dh-python,
 openstack-pkg-tools (>= 119ubuntu1~),
 po-debconf,
 python3-all,
 python3-pbr (>= 2.0.0),
 python3-setuptools,
 python3-sphinx (>= 2.0.0),
Build-Depends-Indep:
 alembic (>= 0.8.10),
 python3-alembic (>= 0.9.6),
 python3-aodhclient (>= 3.2.0-0ubuntu2~),
 python3-babel (>= 2.3.4),
 python3-barbicanclient (>= 4.5.2),
 python3-cachetools (>= 2.0.0),
 python3-cinderclient (>= 1:3.3.0),
 python3-croniter (>= 0.3.4),
 python3-designateclient (>= 2.7.0),
 python3-docutils,
 python3-dogpile.cache (>= 0.6.2),
 python3-eventlet (>= 0.27.0),
 python3-fixtures (>= 3.0.0),
 python3-glanceclient (>= 1:2.8.0),
 python3-glareclient (>= 0.3.0),
 python3-gnocchiclient (>= 3.3.1),
 python3-hacking,
 python3-heatclient (>= 1.10.0),
 python3-ironic-inspector-client (>= 1.5.0),
 python3-ironicclient (>= 2.7.0),
 python3-jinja2 (>= 2.10),
 python3-jsonschema (>= 3.2.0),
 python3-jwt (>= 1.5),
 python3-keystoneclient (>= 1:3.8.0),
 python3-keystonemiddleware (>= 4.18.0),
 python3-kombu (>= 4.6.1),
 python3-magnumclient (>= 2.1.0),
 python3-manilaclient (>= 1.23.0),
 python3-mistral-lib (>= 2.3.0),
 python3-mistralclient (>= 1:3.1.0),
 python3-muranoclient (>= 0.8.2),
 python3-networkx (>= 2.3),
 python3-neutronclient (>= 1:6.7.0),
 python3-nose (>= 1.3.7),
 python3-novaclient (>= 2:9.1.0),
 python3-oauthlib (>= 0.6.2),
 python3-openstackdocstheme (>= 2.2.1),
 python3-os-api-ref (>= 1.4.0),
 python3-oslo.concurrency (>= 3.26.0),
 python3-oslo.config (>= 1:6.8.0),
 python3-oslo.context (>= 1:2.22.0),
 python3-oslo.db (>= 4.40.0),
 python3-oslo.i18n (>= 3.15.3),
 python3-oslo.log (>= 3.36.0),
 python3-oslo.messaging (>= 14.1.0),
 python3-oslo.middleware (>= 3.31.0),
 python3-oslo.policy (>= 4.5.0),
 python3-oslo.serialization (>= 2.21.1),
 python3-oslo.service (>= 2.1.0),
 python3-oslo.utils (>= 7.0.0),
 python3-oslotest (>= 1:3.2.0),
 python3-osprofiler (>= 1.4.0),
 python3-paramiko (>= 2.4.1),
 python3-pecan (>= 1.2.1),
 python3-pep8,
 python3-pygments (>= 2.2.0),
 python3-requests (>= 2.18.0),
 python3-requests-mock (>= 1.2.0),
 python3-senlinclient (>= 1.1.0),
 python3-sphinxcontrib-pecanwsme (>= 0.8.0),
 python3-sphinxcontrib.httpdomain (>= 1.3.0),
 python3-sqlalchemy (>= 1.2.5),
 python3-stestr (>= 2.0.0),
 python3-stevedore (>= 1:1.20.0),
 python3-swiftclient (>= 1:3.2.0),
 python3-tackerclient (>= 0.8.0),
 python3-tempest (>= 1:21.0.0),
 python3-tenacity (>= 5.0.1),
 python3-testtools (>= 2.2.0),
 python3-tooz (>= 1.58.0),
 python3-troveclient (>= 1:2.2.0),
 python3-unittest2 (>= 1.1.0),
 python3-vitrageclient (>= 2.0.0),
 python3-webtest (>=  3.0.0),
 python3-wsme (>= 0.8.0),
 python3-yaml (>= 5.1),
 python3-yaql (>= 2.0.0),
 python3-zake (>= 0.1.6),
 python3-zaqarclient (>= 1.0.0),
 python3-zunclient (>= 3.4.0),
 subunit,
 testrepository,
Standards-Version: 4.6.1
Vcs-Git: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/mistral
Homepage: https://opendev.org/openstack/mistral
Testsuite: autopkgtest-pkg-python

Package: mistral-api
Architecture: all
Depends:
 adduser,
 debconf,
 mistral-common (= ${source:Version}),
 q-text-as-data,
 ${misc:Depends},
 ${ostack-lsb-base},
Description: OpenStack Workflow service - API
 Mistral is a workflow service. Most business processes consist of multiple
 distinct interconnected steps that need to be executed in a particular order
 in a distributed environment. One can describe such process as a set of tasks
 and task relations and upload such description to Mistral so that it takes
 care of state management, correct execution order, parallelism,
 synchronization and high availability. Mistral also provides flexible task
 scheduling so that it can run a process according to a specified schedule
 (i.e. every Sunday at 4.00pm) instead of running it immediately. Such set of
 tasks and relations between them is called a workflow.
 .
 This package contains the API server.

Package: mistral-common
Architecture: all
Depends:
 adduser,
 dbconfig-common,
 debconf,
 python3-mistral (= ${binary:Version}),
 sqlite3,
 ${misc:Depends},
Description: OpenStack Workflow service - common files
 Mistral is a workflow service. Most business processes consist of multiple
 distinct interconnected steps that need to be executed in a particular order
 in a distributed environment. One can describe such process as a set of tasks
 and task relations and upload such description to Mistral so that it takes
 care of state management, correct execution order, parallelism,
 synchronization and high availability. Mistral also provides flexible task
 scheduling so that it can run a process according to a specified schedule
 (i.e. every Sunday at 4.00pm) instead of running it immediately. Such set of
 tasks and relations between them is called a workflow.
 .
 This package contains common files and configuration.

Package: mistral-engine
Architecture: all
Depends:
 adduser,
 mistral-common (= ${source:Version}),
 ${misc:Depends},
 ${ostack-lsb-base},
Description: OpenStack Workflow service - Engine
 Mistral is a workflow service. Most business processes consist of multiple
 distinct interconnected steps that need to be executed in a particular order
 in a distributed environment. One can describe such process as a set of tasks
 and task relations and upload such description to Mistral so that it takes
 care of state management, correct execution order, parallelism,
 synchronization and high availability. Mistral also provides flexible task
 scheduling so that it can run a process according to a specified schedule
 (i.e. every Sunday at 4.00pm) instead of running it immediately. Such set of
 tasks and relations between them is called a workflow.
 .
 This package contains the Engine.

Package: mistral-event-engine
Architecture: all
Depends:
 adduser,
 mistral-common (= ${source:Version}),
 ${misc:Depends},
 ${ostack-lsb-base},
Description: OpenStack Workflow service - Event Engine
 Mistral is a workflow service. Most business processes consist of multiple
 distinct interconnected steps that need to be executed in a particular order
 in a distributed environment. One can describe such process as a set of tasks
 and task relations and upload such description to Mistral so that it takes
 care of state management, correct execution order, parallelism,
 synchronization and high availability. Mistral also provides flexible task
 scheduling so that it can run a process according to a specified schedule
 (i.e. every Sunday at 4.00pm) instead of running it immediately. Such set of
 tasks and relations between them is called a workflow.
 .
 This package contains the Event Engine.

Package: mistral-executor
Architecture: all
Depends:
 adduser,
 mistral-common (= ${source:Version}),
 ${misc:Depends},
 ${ostack-lsb-base},
Description: OpenStack Workflow service - Executor
 Mistral is a workflow service. Most business processes consist of multiple
 distinct interconnected steps that need to be executed in a particular order
 in a distributed environment. One can describe such process as a set of tasks
 and task relations and upload such description to Mistral so that it takes
 care of state management, correct execution order, parallelism,
 synchronization and high availability. Mistral also provides flexible task
 scheduling so that it can run a process according to a specified schedule
 (i.e. every Sunday at 4.00pm) instead of running it immediately. Such set of
 tasks and relations between them is called a workflow.
 .
 This package contains the Executor.

Package: python3-mistral
Section: python
Architecture: all
Depends:
 alembic (>= 0.8.10),
 python3-alembic (>= 0.9.6),
 python3-aodhclient (>= 3.2.0-0ubuntu2~),
 python3-babel (>= 2.3.4),
 python3-barbicanclient (>= 4.5.2),
 python3-cachetools (>= 2.0.0),
 python3-cinderclient (>= 1:3.3.0),
 python3-croniter (>= 0.3.4),
 python3-designateclient (>= 2.7.0),
 python3-dogpile.cache (>= 0.6.2),
 python3-eventlet (>= 0.27.0),
 python3-glanceclient (>= 1:2.8.0),
 python3-glareclient (>= 0.3.0),
 python3-gnocchiclient (>= 3.3.1),
 python3-heatclient (>= 1.10.0),
 python3-ironic-inspector-client (>= 1.5.0),
 python3-ironicclient (>= 2.7.0),
 python3-jinja2 (>= 2.10),
 python3-jsonschema (>= 3.2.0),
 python3-jwt (>= 1.5),
 python3-keystoneclient (>= 1:3.8.0),
 python3-keystonemiddleware (>= 4.18.0),
 python3-kombu (>= 4.6.1),
 python3-magnumclient (>= 2.1.0),
 python3-manilaclient (>= 1.23.0),
 python3-mistral-lib (>= 2.3.0),
 python3-mistralclient (>= 1:3.1.0),
 python3-muranoclient (>= 0.8.2),
 python3-networkx (>= 2.3),
 python3-neutronclient (>= 1:6.7.0),
 python3-novaclient (>= 2:9.1.0),
 python3-oslo.concurrency (>= 3.26.0),
 python3-oslo.config (>= 1:6.8.0),
 python3-oslo.context (>= 1:2.22.0),
 python3-oslo.db (>= 4.40.0),
 python3-oslo.i18n (>= 3.15.3),
 python3-oslo.log (>= 3.36.0),
 python3-oslo.messaging (>= 14.1.0),
 python3-oslo.middleware (>= 3.31.0),
 python3-oslo.policy (>= 4.5.0),
 python3-oslo.serialization (>= 2.21.1),
 python3-oslo.service (>= 2.1.0),
 python3-oslo.utils (>= 7.0.0),
 python3-osprofiler (>= 1.4.0),
 python3-paramiko (>= 2.4.1),
 python3-pbr (>= 2.0.0),
 python3-pecan (>= 1.2.1),
 python3-pymysql,
 python3-requests (>= 2.18.0),
 python3-senlinclient (>= 1.1.0),
 python3-setuptools,
 python3-sqlalchemy (>= 1.2.5),
 python3-stevedore (>= 1:1.20.0),
 python3-swiftclient (>= 1:3.2.0),
 python3-tackerclient (>= 0.8.0),
 python3-tenacity (>= 5.0.1),
 python3-tooz (>= 1.58.0),
 python3-troveclient (>= 1:2.2.0),
 python3-vitrageclient (>= 2.0.0),
 python3-wsme (>= 0.8.0),
 python3-yaml (>= 5.1),
 python3-yaql (>= 2.0.0),
 python3-zake (>= 0.1.6),
 python3-zaqarclient (>= 1.0.0),
 python3-zunclient (>= 3.4.0),
 ${misc:Depends},
 ${python3:Depends},
Description: OpenStack Workflow Service - Python 3 libraries
 Mistral is a workflow service. Most business processes consist of multiple
 distinct interconnected steps that need to be executed in a particular order
 in a distributed environment. One can describe such process as a set of tasks
 and task relations and upload such description to Mistral so that it takes
 care of state management, correct execution order, parallelism,
 synchronization and high availability. Mistral also provides flexible task
 scheduling so that it can run a process according to a specified schedule
 (i.e. every Sunday at 4.00pm) instead of running it immediately. Such set of
 tasks and relations between them is called a workflow.
 .
 This package contains the Python 3 libraries.

## mistral 20.1.0

=== debian/changelog ===
mistral (20.1.0-2~bpo13+1) UNRELEASED; urgency=medium

  [ Thomas Goirand ]
  * Add patches:
    - Load_defaults_from_oslo.concurrency.patch
    - SSHAction-Add-return_result_on_error.patch

  [ Jenkins ]
  * Rebuilt by bop.

 -- Jenkins <jenkins@trixie-epoxy.debian.net>  Wed, 15 Oct 2025 20:33:58 +0000

mistral (20.1.0-1) UNRELEASED; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Tue, 23 Sep 2025 11:42:39 +0200

mistral (20.0.0-2) unstable; urgency=medium

  * Add export OS_OSLO_MESSAGING_RABBIT__PROCESSNAME to all daemons.

 -- Thomas Goirand <zigo@debian.org>  Sat, 12 Jul 2025 11:27:02 +0200

mistral (20.0.0-1) unstable; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Wed, 02 Apr 2025 13:47:22 +0200

mistral (20.0.0~rc1-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Fri, 28 Mar 2025 15:37:52 +0100

## mistral 21.0.0~rc1

=== debian/changelog ===
mistral (21.0.0~rc1-2) unstable; urgency=medium

  * Uploading to unstable.
  * Fix unit test regex.
  * Add --serial for running unit tests as otherwise, it gets stuck.

 -- Thomas Goirand <zigo@debian.org>  Mon, 29 Sep 2025 10:36:24 +0200

mistral (21.0.0~rc1-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.
  * Standards-Version: 4.7.2.

 -- Thomas Goirand <zigo@debian.org>  Tue, 16 Sep 2025 08:44:21 +0200

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@  --with python3

override_dh_auto_clean:
	python3 setup.py clean
	rm -f debian/*.init debian/*.service debian/*.upstart debian/mistral-common.postinst debian/mistral-common.config
	rm -rf debian/mistral-common.postrm debian/*.templates debian/po debian/mistral-api.config debian/mistral-api.postinst
	rm -rf build .stestr *.egg-info
	find . -iname '*.pyc' -delete
	for i in $$(find . -type d -iname __pycache__) ; do rm -rf $$i ; done

override_dh_auto_build:
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func mistral-common.postinst
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func mistral-common.config
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func mistral-api.config
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func mistral-api.postinst
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_postrm mistral-common.postrm
	pkgos-merge-templates mistral-api mistral endpoint
	pkgos-merge-templates mistral-common mistral db rabbit ksat

override_dh_auto_install:
	echo "Do nothing..."

override_dh_auto_test:
	echo "Do nothing..."

override_dh_install:
	set -e ; for pyvers in $(PYTHON3S); do \
		python$$pyvers setup.py install --install-layout=deb --root $(CURDIR)/debian/tmp; \
	done

ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	pkgos-dh_auto_test --no-py2 --serial 'mistral\.tests\.unit\.(?!(actions\.openstack\.test_generator\.GeneratorTest\.test_generator.*|api\.v2\.test_action_executions\.TestActionExecutionsController\.test_get_all_with_and_without_output.*|actions\.test_std_mistral_http_action\.MistralHTTPActionTest\.test_http_action.*|actions\.test_std_http_action\.HTTPActionTest\.test_http_action.*|engine\.test_action_heartbeat_checker\.ActionHeartbeatCheckerTest\.test_fail_action_with_missing_heartbeats_wf_spec_not_cached.*|engine\.test_dataflow\.DataFlowTest\.test_context_view_eval_keys.*|engine\.test_action_heartbeat_sender\.ActionHeartbeatSenderRemoteExecutorTest\.test_long_action_failure_with_disabled_sender.*|engine\.test_action_heartbeat_sender\.ActionHeartbeatSenderLocalExecutorTest\.test_long_action_failure_with_disabled_sender|scheduler\.test_default_scheduler\.DefaultSchedulerTest.*|services\.test_event_engine\.EventEngineTest\.test_process_event_queue.*|services\.test_event_engine\.EventEngineTest\.test_event_engine_public_trigger.*|engine\.test_action_heartbeat_checker\.ActionHeartbeatCheckerTest\.test_fail_action_with_missing_heartbeats.*))'
endif


	# Copy the configuration files
	set -e ; for i in logging.conf wf_trace_logging.conf ; do \
		install -D -m 0664 etc/$$i.sample $(CURDIR)/debian/mistral-common/usr/share/mistral-common/$$i ; \
	done
	install -D -m 0664 etc/policy.json $(CURDIR)/debian/mistral-common/usr/share/mistral-common/policy.json ; \
	PYTHONPATH=$(CURDIR)/debian/tmp/usr/lib/python3/dist-packages oslo-config-generator \
		--namespace mistral.config \
		--namespace oslo.db \
		--namespace oslo.messaging \
		--namespace oslo.middleware.cors \
		--namespace oslo.middleware.http_proxy_to_wsgi \
		--namespace keystonemiddleware.auth_token \
		--namespace oslo.log \
		--namespace oslo.policy \
		--namespace oslo.service.sslutils \
		--output-file $(CURDIR)/debian/mistral-common/usr/share/mistral-common/mistral.conf
	pkgos-readd-keystone-authtoken-missing-options $(CURDIR)/debian/mistral-common/usr/share/mistral-common/mistral.conf keystone_authtoken mistral

	PYTHONPATH=$(CURDIR)/debian/tmp/usr/lib/python3/dist-packages oslopolicy-sample-generator \
		--output-file $(CURDIR)/debian/mistral-common/usr/share/mistral-common/policy.json \
		--format json \
		--namespace mistral

	pkgos-fix-config-default $(CURDIR)/debian/mistral-common/usr/share/mistral-common/mistral.conf keystone_authtoken auth_protocol http

	dh_install
	dh_missing --fail-missing

override_dh_python3:
	dh_python3 --shebang=/usr/bin/python3

## mistral 21.0.0

=== requirements.txt ===
--- 
+++ 
@@ -3,10 +3,10 @@
 # you find any incorrect lower bounds, let us know or propose a fix.
 
 alembic>=0.9.6 # MIT
+cheroot>=10.0.1 # BSD
 croniter>=0.3.4 # MIT License
 cachetools>=2.0.0 # MIT License
 dogpile.cache>=0.6.2 # BSD
-eventlet>=0.27.0 # MIT
 Jinja2>=2.10 # BSD License (3 clause)
 jsonschema>=3.2.0 # MIT
 keystonemiddleware>=4.18.0 # Apache-2.0
@@ -23,7 +23,7 @@
 oslo.utils>=7.0.0 # Apache-2.0
 oslo.log>=3.36.0 # Apache-2.0
 oslo.serialization>=2.21.1 # Apache-2.0
-oslo.service>=2.1.0 # Apache-2.0
+oslo.service[threading]>=4.2.2 # Apache-2.0
 osprofiler>=1.4.0 # Apache-2.0
 paramiko>=2.4.1 # LGPLv2.1+
 pbr!=2.1.0,>=2.0.0 # Apache-2.0

=== doc/requirements.txt ===
sphinx>=2.0.0,!=2.1.0 # BSD
sphinxcontrib-httpdomain>=1.3.0 # BSD
sphinxcontrib-pecanwsme>=0.8.0 # Apache-2.0
os-api-ref>=1.4.0 # Apache-2.0
reno>=3.1.0 # Apache-2.0

=== debian/changelog ===
mistral (21.0.0-5) unstable; urgency=medium

  * Restrict autopkgtest to non-32 bits archs.

 -- Thomas Goirand <zigo@debian.org>  Sat, 01 Nov 2025 17:31:23 +0100

mistral (21.0.0-4) unstable; urgency=medium

  * Add SSHAction-Add-return_result_on_error.patch.

 -- Thomas Goirand <zigo@debian.org>  Mon, 13 Oct 2025 13:56:24 +0200

mistral (21.0.0-3) unstable; urgency=medium

  * Fix default for [oslo_concurrency]/lock_path to /var/lib/mistral.

 -- Thomas Goirand <zigo@debian.org>  Fri, 03 Oct 2025 10:56:29 +0200

mistral (21.0.0-2) unstable; urgency=medium

  * Add oslo.concurrency in mistral.conf namespace list.
  * Add Load_defaults_from_oslo.concurrency.patch.

 -- Thomas Goirand <zigo@debian.org>  Fri, 03 Oct 2025 01:03:05 +0200

mistral (21.0.0-1) unstable; urgency=medium

  * New upstream release.
  * Fixed namespace list when generating config.

 -- Thomas Goirand <zigo@debian.org>  Wed, 01 Oct 2025 22:11:55 +0200

=== debian/control ===
Source: mistral
Section: net
Priority: optional
Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
 Michal Arbet <michal.arbet@ultimum.io>,
Build-Depends:
 debhelper-compat (= 10),
 dh-python,
 openstack-pkg-tools,
 po-debconf,
 python3-all,
 python3-pbr,
 python3-setuptools,
 python3-sphinx,
Build-Depends-Indep:
 alembic,
 python3-cachetools,
 python3-cheroot,
 python3-croniter,
 python3-coverage,
 python3-docutils,
 python3-dogpile.cache,
 python3-fixtures,
 python3-hacking,
 python3-jinja2,
 python3-jsonschema,
 python3-jwt,
 python3-keystoneclient,
 python3-keystonemiddleware,
 python3-mistral-lib,
 python3-networkx,
 python3-openstackdocstheme,
 python3-oslo.concurrency,
 python3-oslo.config,
 python3-oslo.context,
 python3-oslo.db,
 python3-oslo.i18n,
 python3-oslo.log,
 python3-oslo.messaging,
 python3-oslo.middleware,
 python3-oslo.policy,
 python3-oslo.serialization,
 python3-oslo.service (>= 4.2.2),
 python3-oslo.utils,
 python3-oslotest,
 python3-osprofiler,
 python3-paramiko,
 python3-pecan,
 python3-pygments,
 python3-requests,
 python3-requests-mock,
 python3-sphinxcontrib-pecanwsme,
 python3-sphinxcontrib.httpdomain,
 python3-sqlalchemy,
 python3-stestr,
 python3-stevedore,
 python3-tempest,
 python3-tenacity,
 python3-testtools,
 python3-webtest,
 python3-wsme,
 python3-yaml,
 python3-yaql (>= 3.1.0),
 subunit,
Standards-Version: 4.7.2
Vcs-Browser: https://salsa.debian.org/openstack-team/services/mistral
Vcs-Git: https://salsa.debian.org/openstack-team/services/mistral.git
Homepage: https://github.com/openstack/mistral

Package: mistral-api
Architecture: all
Depends:
 adduser,
 debconf,
 mistral-common (= ${source:Version}),
 python3-keystoneclient,
 python3-pastescript,
 q-text-as-data,
 uwsgi-plugin-python3,
 ${misc:Depends},
 ${python3:Depends},
Description: OpenStack Workflow service - API
 Mistral is a workflow service. Most business processes consist of multiple
 distinct interconnected steps that need to be executed in a particular order
 in a distributed environment. One can describe such process as a set of tasks
 and task relations and upload such description to Mistral so that it takes
 care of state management, correct execution order, parallelism,
 synchronization and high availability. Mistral also provides flexible task
 scheduling so that it can run a process according to a specified schedule
 (i.e. every Sunday at 4.00pm) instead of running it immediately. Such set of
 tasks and relations between them is called a workflow.
 .
 This package contains the API server.

Package: mistral-common
Architecture: all
Depends:
 adduser,
 dbconfig-common,
 debconf,
 python3-mistral (= ${binary:Version}),
 sqlite3,
 ${misc:Depends},
 ${python3:Depends},
Description: OpenStack Workflow service - common files
 Mistral is a workflow service. Most business processes consist of multiple
 distinct interconnected steps that need to be executed in a particular order
 in a distributed environment. One can describe such process as a set of tasks
 and task relations and upload such description to Mistral so that it takes
 care of state management, correct execution order, parallelism,
 synchronization and high availability. Mistral also provides flexible task
 scheduling so that it can run a process according to a specified schedule
 (i.e. every Sunday at 4.00pm) instead of running it immediately. Such set of
 tasks and relations between them is called a workflow.
 .
 This package contains common files and configuration.

Package: mistral-engine
Architecture: all
Depends:
 adduser,
 mistral-common (= ${source:Version}),
 ${misc:Depends},
 ${python3:Depends},
Description: OpenStack Workflow service - Engine
 Mistral is a workflow service. Most business processes consist of multiple
 distinct interconnected steps that need to be executed in a particular order
 in a distributed environment. One can describe such process as a set of tasks
 and task relations and upload such description to Mistral so that it takes
 care of state management, correct execution order, parallelism,
 synchronization and high availability. Mistral also provides flexible task
 scheduling so that it can run a process according to a specified schedule
 (i.e. every Sunday at 4.00pm) instead of running it immediately. Such set of
 tasks and relations between them is called a workflow.
 .
 This package contains the Engine.

Package: mistral-event-engine
Architecture: all
Depends:
 adduser,
 mistral-common (= ${source:Version}),
 ${misc:Depends},
 ${python3:Depends},
Description: OpenStack Workflow service - Event Engine
 Mistral is a workflow service. Most business processes consist of multiple
 distinct interconnected steps that need to be executed in a particular order
 in a distributed environment. One can describe such process as a set of tasks
 and task relations and upload such description to Mistral so that it takes
 care of state management, correct execution order, parallelism,
 synchronization and high availability. Mistral also provides flexible task
 scheduling so that it can run a process according to a specified schedule
 (i.e. every Sunday at 4.00pm) instead of running it immediately. Such set of
 tasks and relations between them is called a workflow.
 .
 This package contains the Event Engine.

Package: mistral-executor
Architecture: all
Depends:
 adduser,
 mistral-common (= ${source:Version}),
 ${misc:Depends},
 ${python3:Depends},
Description: OpenStack Workflow service - Executor
 Mistral is a workflow service. Most business processes consist of multiple
 distinct interconnected steps that need to be executed in a particular order
 in a distributed environment. One can describe such process as a set of tasks
 and task relations and upload such description to Mistral so that it takes
 care of state management, correct execution order, parallelism,
 synchronization and high availability. Mistral also provides flexible task
 scheduling so that it can run a process according to a specified schedule
 (i.e. every Sunday at 4.00pm) instead of running it immediately. Such set of
 tasks and relations between them is called a workflow.
 .
 This package contains the Executor.

Package: python3-mistral
Section: python
Architecture: all
Depends:
 alembic,
 python3-cachetools,
 python3-cheroot,
 python3-croniter,
 python3-dogpile.cache,
 python3-jinja2,
 python3-jsonschema,
 python3-jwt,
 python3-keystoneclient,
 python3-keystonemiddleware,
 python3-mistral-lib,
 python3-networkx,
 python3-oslo.concurrency,
 python3-oslo.config,
 python3-oslo.context,
 python3-oslo.db,
 python3-oslo.i18n,
 python3-oslo.log,
 python3-oslo.messaging,
 python3-oslo.middleware,
 python3-oslo.policy,
 python3-oslo.serialization,
 python3-oslo.service (>= 4.2.2),
 python3-oslo.utils,
 python3-osprofiler,
 python3-paramiko,
 python3-pbr,
 python3-pecan,
 python3-pymysql,
 python3-requests,
 python3-setuptools,
 python3-sqlalchemy,
 python3-stevedore,
 python3-tenacity,
 python3-wsme,
 python3-yaml,
 python3-yaql (>= 3.1.0),
 ${misc:Depends},
 ${python3:Depends},
Conflicts:
 python-mistral,
Description: OpenStack Workflow Service - Python libraries
 Mistral is a workflow service. Most business processes consist of multiple
 distinct interconnected steps that need to be executed in a particular order
 in a distributed environment. One can describe such process as a set of tasks
 and task relations and upload such description to Mistral so that it takes
 care of state management, correct execution order, parallelism,
 synchronization and high availability. Mistral also provides flexible task
 scheduling so that it can run a process according to a specified schedule
 (i.e. every Sunday at 4.00pm) instead of running it immediately. Such set of
 tasks and relations between them is called a workflow.
 .
 This package contains the Python libraries.

=== debian/tests/control ===
Tests: unittests
Depends:
 @,
 @builddeps@,
Restrictions: allow-stderr needs-root
Architecture: amd64, arm64, ppc64el, riscv64, s390x

=== debian/watch ===
version=3
opts="uversionmangle=s/\.0rc/~rc/;s/\.0b1/~b1/;s/\.0b2/~b2/;s/\.0b3/~b3/" \
https://github.com/openstack/mistral/tags .*/(\d[brc\d\.]+)\.tar\.gz

## mistral 21.0.0+git20260106.10.420677c8

=== debian/changelog ===
mistral (21.0.0+git20260106.10.420677c8-0ubuntu1) resolute; urgency=medium

  * d/gbp.conf, .launchpad.yaml: Sync from cloud-archive-tools for
    gazpacho.
  * d/watch: update for new upstream
  * d/u/signing-key.asc: remove for snapshot
  * d/rules: enable sphinxdoc to build documentation
  * New upstream version 21.0.0+git20260106.10.420677c8
  * d/patches/*: refresh patches
  * New upstream snapshot from 420677c80b8dd48e8189cf040a20916b5c2fb76c
    for OpenStack Gazpacho. (LP: #2137590)

 -- Myles Penner <myles.penner@canonical.com>  Tue, 20 Jan 2026 18:36:41 -0800

mistral (21.0.0-0ubuntu1) questing; urgency=medium

  * New upstream release for OpenStack Flamingo (LP: #2125956).

 -- Myles Penner <myles.penner@canonical.com>  Wed, 01 Oct 2025 09:31:05 -0700

mistral (21.0.0~rc1-0ubuntu1) questing; urgency=medium

  * New upstream release for OpenStack Flamingo (LP: #2125012).
  * d/watch: Add Flamingo key verification.
  * d/u/signing-key.asc: Add Flamingo public key.
  * d/control: Align (Build-)Depends with upstream.

 -- Myles Penner <myles.penner@canonical.com>  Fri, 19 Sep 2025 14:28:11 -0700

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=mistral

DEBVERS ?= $(shell dpkg-parsechangelog | sed -n -e 's/^Version: //p')
VERSION ?= $(shell echo '$(DEBVERS)' | sed -e 's/^[[:digit:]]*://' -e 's/[-].*//' -e 's/[+].*//' -e 's/~git.*//g' -e 's/+git.*//g' -e 's/~/./g')
export PBR_VERSION=$(VERSION)

include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@  --with python3,sphinxdoc --buildsystem=pybuild

override_dh_clean:
	dh_clean
	rm -f debian/*.init debian/*.service debian/*.upstart debian/mistral-common.postinst debian/mistral-common.config
	rm -rf debian/mistral-common.postrm debian/*.templates debian/po

override_dh_auto_build:
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func mistral-common.postinst
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func mistral-common.config
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func mistral-api.config
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func mistral-api.postinst
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_postrm mistral-common.postrm
	pkgos-merge-templates mistral-api mistral endpoint
	pkgos-merge-templates mistral-common mistral db rabbit ksat

override_dh_auto_install:
	echo "Do nothing..."

override_dh_auto_test:
	echo "Do nothing..."

override_dh_install:
	pkgos-dh_auto_install --no-py2

ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	pkgos-dh_auto_test --no-py2 --exclude-list $(CURDIR)/debian/exclude-list.txt
endif


	# Copy the configuration files
	set -e ; for i in logging.conf wf_trace_logging.conf ; do \
		install -D -m 0664 etc/$$i.sample $(CURDIR)/debian/mistral-common/usr/share/mistral-common/$$i ; \
	done
	install -D -m 0664 etc/policy.json $(CURDIR)/debian/mistral-common/usr/share/mistral-common/policy.json ; \
	PYTHONPATH=$(CURDIR)/debian/python3-mistral/usr/lib/python3/dist-packages oslo-config-generator \
		--namespace mistral.config \
		--namespace oslo.db \
		--namespace oslo.messaging \
		--namespace oslo.middleware.cors \
		--namespace keystonemiddleware.auth_token \
		--namespace periodic.config \
		--namespace oslo.log \
		--namespace oslo.policy \
		--namespace oslo.service.sslutils \
		--output-file $(CURDIR)/debian/mistral-common/usr/share/mistral-common/mistral.conf
	pkgos-readd-keystone-authtoken-missing-options $(CURDIR)/debian/mistral-common/usr/share/mistral-common/mistral.conf keystone_authtoken mistral

	PYTHONPATH=$(CURDIR)/debian/python3-mistral/usr/lib/python3/dist-packages oslopolicy-sample-generator \
		--output-file $(CURDIR)/debian/mistral-common/usr/share/mistral-common/policy.json \
		--format json \
		--namespace mistral

	pkgos-fix-config-default $(CURDIR)/debian/mistral-common/usr/share/mistral-common/mistral.conf keystone_authtoken auth_protocol http

	dh_install
	dh_missing --fail-missing

override_dh_python3:
	dh_python3 --shebang=/usr/bin/python3

=== debian/watch ===
version=4
opts=uversionmangle=s/\.([a-zA-Z])/~$1/;s/%7E/~/;s/\.0b/~b/;s/\.0rc/~rc/ \
 https://tarballs.opendev.org/openstack/mistral/ mistral-(\d{1,2}\.\d.*)\.tar\.gz

## mistral lib-3.2.0

=== requirements.txt ===
# Requirements lower bounds listed here are our best effort to keep them up to
# date but we do not test them so no guarantee of having them all correct. If
# you find any incorrect lower bounds, let us know or propose a fix.

eventlet!=0.20.1,>=0.20.0 # MIT
oslo.log>=3.36.0 # Apache-2.0
pbr!=2.1.0,>=2.0.0 # Apache-2.0
oslo.serialization>=2.21.1 # Apache-2.0
yaql>=1.1.3 # Apache 2.0 License
